%define name	rails
%define version 2.1.2
%define release %mkrel 2

Summary:	Web-application framework with template engine, control-flow layer, and ORM
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.gem
License:	MIT
Group:		System/Servers
Url:		http://www.rubyonrails.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	ruby-RubyGems
Requires:	ruby-RubyGems
Requires:	ruby-activesupport = %{version}
Requires:	ruby-activerecord = %{version}
Requires:	ruby-actionpack = %{version}
Requires:	ruby-actionmailer = %{version}
Requires:	ruby-actionwebservice
Requires:	ruby-activeresource = %{version}
Requires:	ruby-sqlite3
Requires:	ruby-rake >= 0.8.1

%description
Rails is a full-stack framework for developing database-backed web
applications according to the Model-View-Control pattern. From the
Ajax in the view, to the request and response in the controller, to
the domain model wrapping the database, Rails gives you a pure-Ruby
development environment. To go live, all you need to add is a database
and a web server.

%prep
%setup -c

%build

%install
rm -rf $RPM_BUILD_ROOT

# (the poor buildroot way)
# perl -pe "s,^\s+DESTDIR\s+=.*,  DESTDIR = '$RPM_BUILD_ROOT'," %{ruby_archdir}/rbconfig.rb > rbconfig.rb
# ruby -I . /usr/bin/gem install --ignore-dependencies %{SOURCE0}

install -d $RPM_BUILD_ROOT%{ruby_gemdir}
gem install --ignore-dependencies --install-dir $RPM_BUILD_ROOT%{ruby_gemdir} %{SOURCE0}
install -d $RPM_BUILD_ROOT%{_bindir}
mv $RPM_BUILD_ROOT%{ruby_gemdir}/bin/* $RPM_BUILD_ROOT%{_bindir}
rm -rf $RPM_BUILD_ROOT%{ruby_gemdir}/bin
rm -rf  $RPM_BUILD_ROOT%{ruby_gemdir}/doc/%{name}-%{version}
rm -rf $RPM_BUILD_ROOT%{ruby_gemdir}/doc

for f in `find $RPM_BUILD_ROOT%{ruby_gemdir}/gems/%{name}-%{version} -type f`
do
        if head -n1 "$f" | grep '^#!' >/dev/null;
        then
                sed -i 's|/usr/local/bin|/usr/bin|' "$f"
                chmod 0755 "$f"
        else
                chmod 0644 "$f"
        fi
done


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{ruby_gemdir}/gems/%{name}-%{version}
%{ruby_gemdir}/cache/%{name}-%{version}.gem
%{ruby_gemdir}/specifications/%{name}-%{version}.gemspec



%changelog
* Fri Jun 12 2009 Lev Givon <lev@mandriva.org> 2.1.2-2mdv2009.1
+ Revision: 385492
- Specify required dependency versions.

* Wed Nov 19 2008 Frederik Himpe <fhimpe@mandriva.org> 2.1.2-1mdv2009.1
+ Revision: 304480
- Update to new upstream version 2.1.2 (includes security fixes)

* Sun Sep 14 2008 Frederik Himpe <fhimpe@mandriva.org> 2.1.1-1mdv2009.0
+ Revision: 284647
- Update to new version 2.1.1: fixes critical SQL injection security
  vulnerability (http://www.rorsecurity.info/2008/09/08/sql-injection-issue-in-limit-and-offset-parameter/)

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.1.0-2mdv2009.0
+ Revision: 269184
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 03 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.1.0-1mdv2009.0
+ Revision: 214651
- new version 2.1.0

* Thu Feb 28 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.0.2-3mdv2008.1
+ Revision: 176499
- rebuild for new RubyGems loading (gem instead of require_gem)

* Mon Jan 14 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.0.2-2mdv2008.1
+ Revision: 151758
- bump release
- require ruby-activeresource

* Sun Jan 06 2008 Jérôme Soyer <saispo@mandriva.org> 2.0.2-1mdv2008.1
+ Revision: 145873
- New release

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Jérôme Soyer <saispo@mandriva.org> 2.0.1-1mdv2008.1
+ Revision: 119366
- New release 2.0.1

* Mon Apr 23 2007 Olivier Blin <oblin@mandriva.com> 1.2.3-1mdv2008.0
+ Revision: 17536
- 1.2.3


* Thu Sep 14 2006 Olivier Blin <blino@mandriva.com> 1.1.6-1mdv2007.0
- 1.1.6

* Fri Jul 28 2006 Olivier Blin <blino@mandriva.com> 1.1.4-1mdv2007.0
- initial Mandriva release

